#ifndef _UTILITY_H
#define _UTILITY_H

#include <glib.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gio/gio.h> /* GFile */

#define MAX_PATH_LEN 2048

gboolean is_file_writable(gchar *filename);

gint messagebox_error(const gchar *message, GtkWidget *window);

void split_filename2(gchar *path, gchar **filepath,  gchar **filebase);
void split_filename3(gchar *path, gchar **filepath,  gchar **filebase, gchar **fileext);

guint str_length(gchar *s, guint maxlen);

gchar *replace_str(gchar *what, gchar *width);

gchar *format_file_size(guint64 fsize);

gboolean paths_are_equal(gchar *path1, gchar *path2);

guint64 get_file_size(gchar *filename);

gchar *substitute_time_and_date_pattern(gchar *pattern);

GPid exec_command_async(gchar **argv, GError **error);

#endif

